.container {
  height: 100vh;
  width: 100%;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--main-color);
}

/* ************** Wrapper ************** */
.wrapperContent {
  display: grid;
  grid-template-columns: 1fr 1fr;
  padding: 0 4rem;
  gap: 4rem;
  align-items: center;
}
/* ************** Left ************** */
.contentLeft {
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: var(--bor-rad-16);
  overflow: hidden;
  /* box shadow */
  box-shadow: 5px 5px 5px 0px rgba(0, 0, 0, 0.1);
  -webkit-box-shadow: 5px 5px 5px 0px rgba(0, 0, 0, 0.1);
  -moz-box-shadow: 5px 5px 5px 0px rgba(0, 0, 0, 0.1);
}

.contentLeft > img {
  object-fit: cover;
}

/* ************** Right ************** */
.contentRight {
  width: 80%;
  max-width: 600px;
  color: var(--sub-color);
}

.contentRight > * {
  margin-bottom: 1rem;
}

.contentRight > .loginHeader > .title {
  font-size: 32px;
}

.contentRight > .loginHeader > .title > span {
  color: var(--orange-color);
}

.contentRight > .loginHeader > .title > svg {
  color: var(--orange-color);
  animation: loginIconAnim 3s ease 0s infinite alternate forwards;
}

/* ************** Button ************** */
.button {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 16px;
  padding: 16px 20px;
  width: 100%;
  cursor: pointer;
  font-size: 1rem;
  font-weight: 600;
  border-radius: var(--bor-rad-10);
  background-color: #fff;
  /* box shadow */
  box-shadow: 10px 10px 10px 0px rgba(0, 0, 0, 0.1);
  -webkit-box-shadow: 10px 10px 10px 0px rgba(0, 0, 0, 0.1);
  -moz-box-shadow: 10px 10px 10px 0px rgba(0, 0, 0, 0.1);
  /* border */
  border: 1px solid transparent;
  transition: var(--transition-all);
}

.button:hover {
  /* box shadow */
  box-shadow: 10px 10px 10px 0px rgba(0, 0, 0, 0.5);
  -webkit-box-shadow: 10px 10px 10px 0px rgba(0, 0, 0, 0.5);
  -moz-box-shadow: 10px 10px 10px 0px rgba(0, 0, 0, 0.5);
  /* BG */
  background-color: var(--sub-color);
  color: var(--main-color);
}

.button > * {
  margin-right: 12px;
}

.button.buttonFacebook svg {
  color: var(--blue-color);
}

/* ************** Separated ************** */
.separated {
  height: 50px;
  position: relative;
}

.separated > .divider {
  height: 2px;
  width: 100%;
  background-color: rgba(51, 51, 51, 0.5);
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  z-index: 1;
}

.separated > .separatedContent {
  position: absolute;
  height: 50px;
  width: 50px;
  border-radius: 50%;
  background-color: var(--main-color);
  display: flex;
  justify-content: center;
  align-items: center;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 2;
}

/* ************** Form ************** */
.loginForm {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.loginForm > .formGroup {
  color: var(--sub-color);
}

.loginForm > .formGroup > label {
  font-size: 20px;
  font-weight: 700;
}

.loginForm > .formGroup > input {
  width: 100%;
  height: 50px;
  border-radius: 50px;
  padding: 16px;
  font-size: 16px;
  color: var(--sub-color);
  font-weight: 700;
}

.loginForm > .formGroup > input:focus {
  outline: 2px solid var(--sub-color);
}

.loginForm > .formGroup > input::placeholder {
  color: var(--sub-color);
  opacity: 0.5;
}

.loginForm > .formGroup > .button {
  background-color: var(--sub-color);
  color: var(--main-color);
  margin-top: 0.5rem;
  transition: var(--transition-all);
}

.loginForm > .formGroup > .button:hover {
  /* BG */
  background-color: var(--white-color);
  color: var(--sub-color);
  /* Border */
  border: 1px solid rgb(255, 207, 175);
}

/* ************** Footer ************** */
.loginFooter {
  text-align: center;
}

.loginFooter > p > a {
  font-weight: 700;
  font-size: 18px;
  cursor: pointer;
}

/* ************************ Animation ********************** */
@keyframes loginIconAnim {
  0%,
  100% {
    transform: rotate(0deg);
    transform-origin: 50% 100%;
  }

  10% {
    transform: rotate(4deg);
  }

  20%,
  40%,
  60% {
    transform: rotate(-8deg);
  }

  30%,
  50%,
  70% {
    transform: rotate(8deg);
  }

  80% {
    transform: rotate(-4deg);
  }

  90% {
    transform: rotate(4deg);
  }
}

/*  **************  MEDIA QUERIES ( MEDIUM DEVICES )  ****************  */
@media screen and (max-width: 1000px) {
  .wrapperContent {
    grid-template-columns: 1fr;
  }
  .contentLeft {
    display: none;
  }
  .contentRight {
    margin: 0 auto;
  }
}

/*  **************  MEDIA QUERIES ( SMALL DEVICES )  ****************  */
@media screen and (max-width: 500px) {
  .wrapperContent {
    padding: 0 1rem;
  }
  .contentRight {
    width: 100%;
    max-width: 100%;
  }

  .contentRight > .loginHeader > .decs {
    display: none;
  }

  .button > * {
    margin-right: 1rem;
  }
}
